org.apache.commons.math3.analysis

## Interface MultivariateFunction

All Known Subinterfaces:
  DifferentiableMultivariateFunction, MultivariateDifferentiableFunction

All Known Implementing Classes:
  LeastSquaresConverter, LeastSquaresConverter, LinearObjectiveFunction, MicrosphereInterpolatingFunction, MultivariateFunctionMappingAdapter, MultivariateFunctionMappingAdapter, MultivariateFunctionPenaltyAdapter, MultivariateFunctionPenaltyAdapter

    public interface MultivariateFunction

An interface representing a multivariate real function.

Since:
  2.0
Version:
  $Id: MultivariateFunction.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`double` `value(double[] point)` Compute the value for the function at the given point.

### Method Detail

#### value

    double value(double[] point)

Compute the value for the function at the given point.

Parameters:
  `point` - Point at which the function must be evaluated.
Returns:
  the function value for the given point.
Throws:
  `DimensionMismatchException` - if the parameter's dimension is wrong for the function being evaluated.
  `MathIllegalArgumentException` - when the activated method itself can ascertain that preconditions, specified in the API expressed at the level of the activated method, have been violated. In the vast majority of cases where Commons Math throws this exception, it is the result of argument checking of actual parameters immediately passed to a method.